Index: trunk/instant_messenger/bkp/instant_messenger_64/setup/phpgw_pt-br.lang
===================================================================
--- trunk/instant_messenger/bkp/instant_messenger_64/setup/phpgw_pt-br.lang	(revision 260)
+++ 	(revision )
@@ -1,78 +1,0 @@
-Add	instant_messenger	pt-br	Adicionar
-Add Contatct	instant_messenger	pt-br	Adicionar Contato
-add contact	instant_messenger	pt-br	Adicionar Contato
-add new contact	instant_messenger	pt-br	Adicionar Novo Contato
-add user	instant_messenger	pt-br	Adicionar Usuário
-Added information!	instant_messenger	pt-br	Informações Adicionadas!
-Authorization	instant_messenger	pt-br	Autorização
-away	instant_messenger	pt-br	Ausente
-Birthday	instant_messenger	pt-br	Aniversário
-busy	instant_messenger	pt-br	Ocupado
-change your Status	instant_messenger	pt-br	Mude seu estado
-Choice Contact	instant_messenger	pt-br	Escolha Contato
-Close	instant_messenger	pt-br	Fechar
-Close this menu	instant_messenger	pt-br	Fechar Menu
-Color	instant_messenger	pt-br	Cor
-Contact	instant_messenger	pt-br	Contato
-Contact Add	instant_messenger	pt-br	Contato Adicionado
-Custom message...	instant_messenger	pt-br	Mensagem ...
-Delete	instant_messenger	pt-br	Remover
-Description	instant_messenger	pt-br	Descrição
-Error in the message!	instant_messenger	pt-br	Erro na mensagem!
-E-mail	instant_messenger	pt-br	E-mail
-Font	instant_messenger	pt-br	Fonte
-Full Name	instant_messenger	pt-br	Nome Completo
-Group	instant_messenger	pt-br	Grupo
-instant_messenger	common	pt-br	Mensageiro Instantâneo
-instant_messenger_t	instant_messenger	pt-br	Mensageiro Instantâneo
-Information	instant_messenger	pt-br	Informações Adicionais
-Information User	instant_messenger	pt-br	Informações Pessoais
-Jid Contact	instant_messenger	pt-br	Email Expresso
-List of Contacts	instant_messenger	pt-br	Lista de Contatos
-Loading...	instant_messenger	pt-br	Carregando...
-Maximize/Restore	instant_messenger	pt-br	Maximizar/Restaurar Janela
-Minimize	instant_messenger	pt-br	Minimizar Janela
-Name	instant_messenger	pt-br	Nome
-Name full	instant_messenger	pt-br	Nome Completo
-Name Organization	instant_messenger	pt-br	Nome Organização
-New Message!	instant_messenger	pt-br	Nova Mensagem!
-Nick	instant_messenger	pt-br	Apelido
-Nickname	instant_messenger	pt-br	Apelido
-Not Auth	instant_messenger	pt-br	Não Autorizado
-Orgname	instant_messenger	pt-br	Organização
-Orgunit	instant_messenger	pt-br	Setor
-online	instant_messenger	pt-br	Online
-offline	instant_messenger	pt-br	Offline
-Options	instant_messenger	pt-br	Opções
-Photo	instant_messenger	pt-br	Foto
-Problems in its register \n	instant_messenger	pt-br	Problemas em seu registro
-preferences	instant_messenger	pt-br	Preferências
-Quick Contacts	instant_messenger	pt-br	Contatos Rápidos
-Re-connect Expresso Messenger ?	instant_messenger	pt-br	Reconectar Expresso Messenger ?
-Remove	instant_messenger	pt-br	Remover
-Remove Contact	instant_messenger	pt-br	Remover Contato
-Resize	instant_messenger	pt-br	Redimensionar
-Role	instant_messenger	pt-br	Função
-save	instant_messenger	pt-br	Salvar
-Search	instant_messenger	pt-br	Pesquisar
-Search, add, or invite	instant_messenger	pt-br	Procure, adicione ou convide
-See Info	instant_messenger	pt-br	Ver Info
-Send	instant_messenger	pt-br	Enviar
-Send File	instant_messenger	pt-br	Enviar Arquivo
-Size	instant_messenger	pt-br	Tamanho
-speak	instant_messenger	pt-br	fala
-Successfully effected register!	instant_messenger	pt-br	Registro efetuado com sucesso!
-Status	instant_messenger	pt-br	Status
-Status of the Transference	instant_messenger	pt-br	Status da Transferência
-Style	instant_messenger	pt-br	Estilo
-Telephone	instant_messenger	pt-br	Telefone
-to see preferences	instant_messenger	pt-br	Ver Preferências
-To define user information	instant_messenger	pt-br	Definir informações do usuário
-Update	instant_messenger	pt-br	Atualizar
-Vcard	instant_messenger	pt-br	Vcard
-You desire to register in service IM?	instant_messenger	pt-br	Você deseja registrar no serviço IM?
-your status	instant_messenger	pt-br	Seu status
-Wait a moment !!	pt-br	instant_messenger	Aguarde um momento !!
-waiting	instant_messenger	pt-br	Aguardando
-without_group	instant_messenger	pt-br	Sem Grupo
-Workgroup	instant_messenger	pt-br	Setor
Index: trunk/instant_messenger/bkp/instant_messenger_64/setup/tables_current.inc.php
===================================================================
--- trunk/instant_messenger/bkp/instant_messenger_64/setup/tables_current.inc.php	(revision 260)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<?php
-	/***************************************************************************\
-	* Mensageiro Instantâneo												    *
-	* Alexandre Correia / Rodrigo Souza										    *
-	* ------------------------------------------------------------------------- *
-	*  This program is free software; you can redistribute it and/or modify it  *
-	*  under the terms of the GNU General Public License as published by the    *
-	*  Free Software Foundation; either version 2 of the License, or (at your   *
-	*  option) any later version.                                               *
-	\***************************************************************************/
-  
-	$phpgw_baseline = array(
-		'phpgw_im_auth_user' => array(
-			'fd' => array(
-				'im_from' => array( 'type' => 'varchar', 'precision' => 150, 'nullable' => false ),
-				'im_to' => array( 'type' => 'varchar', 'precision' => 150, 'nullable' => false )
-			),
-			'pk' => array(),
-			'fk' => array(),
-			'ix' => array(),
-			'uc' => array()
-		),
-	);
-?>
Index: trunk/instant_messenger/bkp/instant_messenger_64/setup/setup.inc.php
===================================================================
--- trunk/instant_messenger/bkp/instant_messenger_64/setup/setup.inc.php	(revision 260)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<?php
-	/****************************************************\
-	 * Im - Instant Messenger							*
-	 * Alexandre Correia								*
-	 * Rodrigo Souza									*
-	\****************************************************/
-	
-	$setup_info['instant_messenger']['name']      	= 'instant_messenger';
-	$setup_info['instant_messenger']['title']     	= 'Mensageiro Instantâneo';
-	$setup_info['instant_messenger']['version']   	= '0.2';
-	$setup_info['instant_messenger']['app_order'] 	= 9;
-	$setup_info['instant_messenger']['enable']    	= 1;
-	
-	/* Conf Table */
-	$setup_info['instant_messenger']['tables'][] = 'phpgw_im_auth_user';
-
-	$setup_info['instant_messenger']['author'] 			= '<b>Coordenadores do Projeto</b> : <br> - Joao Alfredo Knopik Junior (jakjr@celepar.pr.gov.br)<br> - Nilton Emilio Buhrer Neto (niltonneto@celepar.pr.gov.br)<br> <b>Desenvolvedores</b> <br> - Alexandre Correia (alexandrecorreia@celepar.pr.gov.br)<br>- Rodrigo Souza Santos (rodsouza@celepar.pr.gov.br)';
-	$setup_info['instant_messenger']['maintainer']	 	=  'Os mesmos';
-	$setup_info['instant_messenger']['maintainer_email']= '';
-
-	$setup_info['instant_messenger']['license']  	= 'GPL';
-	$setup_info['instant_messenger']['description'] = 'Módulo de IM com protocolo Jabber';
-
-	/* The hooks this app includes, needed for hooks registration */
-	$setup_info['instant_messenger']['hooks'][] = 'admin';
-		
-	/* Dependencies for this app to work */
-	$setup_info['instant_messenger']['depends'][] = array(
-		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.14','0.9.15','1.0.0')
-	);
-?>