Index: trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 283)
+++ trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 309)
@@ -92,4 +92,5 @@
 				'bg_color'					=> $GLOBALS['phpgw_info']['theme']['bg_color'],
 				'th_bg'						=> $GLOBALS['phpgw_info']['theme']['th_bg'],
+				
 				'accounts_url'				=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uiaccounts.list_users'),
 				'back_url'					=> $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php'),
@@ -101,20 +102,15 @@
 				'imapDelimiter'				=> $_SESSION['phpgw_info']['expresso']['email_server']['imapDelimiter'], 
 				
-				'lang_create_user'			=> lang('Create user'),
-				'lang_loginid'				=> lang('Login'),
+				'lang_create_user'			=> lang('Create User'),
+				'lang_loginid'				=> lang('LoginID'),
 				'lang_cn'					=> lang('Name'),
 				'lang_mail'					=> lang('E-mail'),
-				'lang_edit'				=> lang('Edit'),
-				'lang_rename'				=> lang('Rename'),
+				'lang_edit'					=> lang('edit'),
+				'lang_rename'				=> lang('rename'),
+				'lang_delete'				=> lang('delete'),
 				'lang_search'				=> lang('Search'),
-				'lang_back'				=> lang('Back'),
-				'lang_contexts'				=> lang('Contexts'),
-				'lang_delete_user'			=> lang('Delete user?'),
-				'lang_delete'				=> lang('Delete'),
-				'lang_sucess'				=> lang('User deleted successfully!'),				
-				'lang_rename_user'			=> lang('Rename user'),				
-				'lang_rename_success'			=> lang('User renamed successfully!'),				
-				'login_field_contains_not_allowed'      => lang('Login field contains invalid characters'),
-				'lang_to'				=> lang('to:')				
+				'lang_back'					=> lang('back'),
+				'lang_contexts'				=> lang('Contexts')
+				
 			);
 			$p->set_var($var);
@@ -169,5 +165,5 @@
 
 					if ($can_rename)
-						$p->set_var('row_rename',"<a href='#' onClick='javascript:rename_user(\"".$account['account_lid']."\",\"".$account['account_id']."\");'>".lang('Rename')."</a>");
+						$p->set_var('row_rename',"<a href='#' onClick='javascript:rename_user(\"".$account['account_lid']."\",\"".$account['account_id']."\");'>Renomear</a>");
 					else
 						$p->set_var('row_rename','&nbsp;');
@@ -175,5 +171,5 @@
 					if ($can_delete)
 					{
-						$p->set_var('row_delete',"<a href='#' onClick='javascript:delete_user(\"".$account['account_lid']."\",\"".$account['account_id']."\");'>".lang('Delete')."</a>");
+						$p->set_var('row_delete',"<a href='#' onClick='javascript:delete_user(\"".$account['account_lid']."\",\"".$account['account_id']."\");'>Excluir</a>");
 					}
 					else
@@ -217,5 +213,4 @@
 			$t->set_file(array("body" => "accounts_form.tpl"));
 			$t->set_block('body','main');
-				
 
 			// Pega combo das organizações e seleciona, caso seja um post, o setor que o usuario selecionou.
@@ -245,37 +240,36 @@
 			// Valores default.
 			$var = Array( 
-				'back_url'			=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uiaccounts.list_users'),
-				'photo_bin'	=> $GLOBALS['phpgw_info']['server']['webserver_url'].'/expressoAdmin1_2/templates/default/images/photo_celepar.png',
 				'row_on'				=> "#DDDDDD",
 				'row_off'				=> "#EEEEEE",
 				'color_bg1'				=> "#E8F0F0",
+				//'manager_context'		=> $manager_context,
 				'type'					=> 'create_user',
+				'back_url'				=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uiaccounts.list_users'),
 				'display_samba_suport'	=> $this->current_config['expressoAdmin_samba_support'] == 'true' ? '' : 'none',
-				'disabled_access_button'		=> 'disabled',
-				'display_access_records' 		=> 'none',
+				'disabled_access_button'=> 'disabled',
 				
 				// First ABA
 				'display_spam_uid'				=> 'display:none',
-				'lang_general_information'		=> lang('General information'),
-				'lang_corporative_information'		=> lang('Corporative information'),
-				'lang_email_config'			=> lang('E-mail config'),
-				'lang_groups_permission'		=> lang('Group permissions'),
-				'lang_lists_permission'			=> lang('E-mail lists'),
-				'lang_aplication_permission'		=> lang('Application permissions'),	
-				'lang_search_organization'		=> lang('Search organization'),
+				'lang_general_information'		=> lang('General Information'),
+				'lang_corporative_information'	=> lang('Corporative Information'),
+				'lang_email_config'				=> lang('Email Config'),
+				'lang_groups_permission'		=> lang('Groups Permission'),
+				'lang_lists_permission'			=> lang('Email Lists'),
+				'lang_aplication_permission'	=> lang('Aplication Permission'),	
+				'lang_search_organization'		=> lang('Search Organiztion'),
 				'lang_organizations'			=> lang('Organizations'),
 				'lang_sector'					=> lang('Sector'),
-				'lang_account_lid'			=> lang('Login'),
-				'lang_firstname'			=> lang('First name'),
-				'lang_lastname'				=> lang('Last name'),
+				'lang_account_lid'				=> lang('Login ID'),
+				'lang_firstname'				=> lang('First Name'),
+				'lang_lastname'					=> lang('Last Name'),
 				'lang_password'					=> lang('Password'),
-				'lang_re-password'			=> lang('Re-password'),
+				'lang_re-password'				=> lang('Re-Password'),
 				'lang_passwd_expired'			=> lang('Password expired'),
 				'lang_changepassword'			=> lang('Change password'),				
 				'lang_phone'					=> lang('Phone'),
 				'lang_photo'					=> lang('Photo'),
-				'lang_account_active'			=> lang('Enabled account'),
-				'lang_account_invisible'		=> lang('Hidden account'),
-				'lang_never'				=> lang('Never'),
+				'lang_account_active'			=> lang('Account Active'),
+				'lang_account_invisible'		=> lang('Account Invisible'),
+				'lang_never'					=> lang('never'),
 				'lang_back'						=> lang('Back'),
 				'lang_save'						=> lang('Save'),
@@ -286,4 +280,5 @@
 				'changepassword_checked'		=> 'CHECKED',
 				'phpgwaccountstatus_checked'	=> 'CHECKED',
+				'photo_bin'						=> $GLOBALS['phpgw_info']['server']['webserver_url'].'/expressoAdmin1_2/templates/default/images/photo_celepar.png',
 				'display_picture'				=> $this->functions->check_acl($manager_lid,'edit_users_picture') ? '' : 'none', 
 				'display_tr_default_password'	=> 'none',
@@ -296,17 +291,17 @@
 				'display_corporative_information' => $this->functions->check_acl($manager_lid,'manipulate_corporative_information') ? '' : 'none',
 				'lang_employeenumber'			=> lang('Employee number'),
-				'lang_cpf'				=> lang('CPF'),
-				'lang_rg'				=> lang('RG'),
-				'lang_rguf'				=> lang('RG UF'),
+				'lang_cpf'						=> lang('cpf'),
+				'lang_rg'						=> lang('rg'),
+				'lang_rguf'						=> lang('rguf'),
 				
 				//MAIL
-				'lang_activeemailaccount'		=> lang('Active e-mail account'),
+				'lang_activeemailaccount'		=> lang('Active email account'),
 				'lang_email'					=> lang('E-mail'),
-				'lang_aliasemail'			=> lang('E-mail alias'),
-				'lang_forwardingemail'			=> lang('Forwarding e-mail'),
-				'lang_email_quota'			=> lang('E-mail quota in MB'),
+				'lang_aliasemail'				=> lang('Alias email'),
+				'lang_forwardingemail'			=> lang('Forwarding email'),
+				'lang_email_quota'				=> lang('Email quota in MB'),
 				'lang_onlyforwarding'			=> lang('Only forwarding'),
-				'lang_quote_message'			=> lang('Leave empty for no quota'),
-				'lang_email_quota_used'			=> lang('Used quota in MB'),
+				'lang_quote_message'			=> lang('leave empty for no quota'),
+				'lang_email_quota_used'			=> lang('Quota used in MB'),
 				'accountstatus_checked'			=> 'CHECKED',
 				'mailquota'						=> $this->current_config['expressoAdmin_defaultUserQuota'],
@@ -318,14 +313,14 @@
 				//Third ABA
 				'lang_groups'					=> lang('Groups'),
-				'lang_user_groups'			=> lang('Selected user groups'),
-				'lang_available_groups'			=> lang('Available groups'),
-				'lang_listGroups'			=> lang('List groups'),
-				'lang_primary_group'			=> lang('Primary group'),
+				'lang_user_groups'				=> 'Grupos do Usuário',
+				'lang_available_groups'			=> 'Grupos disponíveis',
+				'lang_listGroups'				=> lang('ListGroups'),
+				'lang_primary_group'			=> lang('Primary Group'),
 				'lang_add'						=> lang('Add'),
 				'lang_rem'						=> lang('Remove'),
 				
 				//Fourd ABA
-				'lang_user_mail_lists'			=> lang('Selected e-mail lists'),
-				'lang_available_mail_lists'		=> lang('Available e-mail lists'),
+				'lang_user_mail_lists'			=> 'O usuário participa destas Listas de E-mail',
+				'lang_available_mail_lists'		=> 'Listas de E-mail disponíveis',
 				
 				//Five ABA
@@ -333,60 +328,16 @@
 				
 				//SAMBA ABA
-				'lang_samba_config'			=> lang('Samba config'),
-				'lang_use_attrs_samba'			=> lang('Use Samba attributes'),
+				'lang_samba_config'					=> lang('Samba Config'),
+				'lang_use_attrs_samba'				=> lang('Use samba attributes'),
 				'lang_sambadomain'					=> lang('Domain'),
-				'lang_sambaAcctFlags'			=> lang('Samba account flags'),
-				'lang_sambaLogonScript'			=> lang('Logon script'),
-				'lang_sambaHomeDirectory'		=> lang('Home directory'),
-				'lang_active_user'			=> lang('Enabled Samba user'),
-				'lang_desactive_user'			=> lang('Disabled Samba user'),
+				'lang_sambaAcctFlags'				=> lang('AcctFlags'),
+				'lang_sambaLogonScript'				=> lang('Logon Script'),
+				'lang_sambaHomeDirectory'			=> lang('Home Directory'),
+				'lang_active_user'					=> lang('Samba User Active'),
+				'lang_desactive_user'				=> lang('Samba User Desactive'),
 				'use_attrs_samba_checked'			=> 'CHECKED',
 				'sambadomainname_options'			=> $sambadomainname_options,
 				'sambalogonscript'					=> $this->current_config['expressoAdmin_defaultLogonScript'] != '' ? $this->current_config['expressoAdmin_defaultLogonScript'] : '',
 				'use_suggestion_in_logon_script'	=> $this->current_config['expressoAdmin_defaultLogonScript'] == '' ? 'true' : 'false',
-
-				'login_field_empty'			=> lang('Login field is empty'),
-				'login_field_must_have'			=> lang('Login field must have more than'),
-				'characters'				=> lang('characters'),
-				'password_field_empty'			=> lang('Password field is empty'),
-				're-pass_field_empty'			=> lang('Re-password field is empty'),
-				'pass_re-pass_diferents'		=> lang('Password and Re-password are differentes'),
-				'register_field_contains_not_allowed'	=> lang('Field register contains invalid characters. Only numbers are allowed'),
-				'cpf_field_not_allowed'			=> lang('Field CPF contains invalid characters. Only numbers are allowed'),
-				'email_field_empty'			=> lang('Email field is empty'),
-				'first_name_empty'			=> lang('First name field is empty'),
-				'first_name_not_valid' 	 		=> lang('First name field is invalid'),
-				'last_name_empty'			=> lang('Last name field is empty'),
-				'last_name_not_valid'   		=> lang('Last name field is not valid'),
-				'telephone_empty'			=> lang('Telephone field is empty'),
-				'redirect_email_empty'			=> lang('Redirect email field is empty'),
-				'without_quota'				=> lang('User without quota'),
-				'no_group_selected'			=> lang('No groups selected'),
-				'user_logon_script_empty'		=> lang('User logon script is empty'),
-				'user_home_path_empty'			=> lang('User home path is empty'),
-				'user_successfully_created'		=> lang('User successfully created!'),
-				'user_successfully_saved'		=> lang('User successfully saved!'),
-				'default_password_registered'		=> lang('Default password successfully registered'),
-				'user_password_returned_with_success'	=> lang('User password returned with success'),
-				'user_deleted_with_success'		=> lang('User deleted successfully!'),
-				'login_field_contains_not_allowed'	=> lang('Login field contains not allowed characters'),
-				'page_not_found'			=> lang('Page Not Found!'),
-				'type_name_new_manager'			=> lang('Type in the new managers name'),
-				'email_field_not_valid'			=> lang('E-mail field is invalid'),
-				'searching'				=> lang('Searching...'),
-				'delete_the_list'			=> lang('Delete list '),
-				'delete_the_group'			=> lang('Delete group '),
-				'cpf_invalid_field' 			=> lang('Invalid CPF field'),
-				'incorrect_telephone_field'		=> lang('Incorrect Telephone Field'),
-				'change_user_login'			=> lang('Change user login'),
-				'to'					=> lang('to'),			
-				'removed'				=> lang('removed'),
-				'lang_search_group'             	=> lang('Search group'),
-				'lang_search_list'             		=> lang('Search list'),
-				'lang_clear_inbox_user'         	=> lang('Clear'),
-				'lang_inbox_user'    	  	   	=> lang('User inbox'),
-				'display_tr_inbox_user'			=> 'none',
-				'lang_access_records'           	=> lang('Show access records'),
-				'cpf_field_invalid'  	         	=> lang('CPF field is invalid')
 			);
 			$t->set_var($var);
@@ -471,5 +422,5 @@
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
 
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Edit user');
+			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Edit User');
 			$GLOBALS['phpgw']->common->phpgw_header();
 
@@ -517,5 +468,5 @@
 
 						if ($alert_warning == '')
-							$alert_warning = lang("The ExpressoAdmin fixed the following inconsistencies:\n");
+							$alert_warning = "O expressoAdmin corrigiu as seguintes inconsistências:\\n";
 						$alert_warning .= "Incluido atributo memberUid do usuário no grupo:\\n$cn - gidnumber: $gidnumber.";
 					}
@@ -656,27 +607,26 @@
 				'alert_warning'					=> "$alert_warning",
 				'display_input_account_lid'		=> 'display:none',
-				'lang_general_information'	=> lang('General information'),
-				'lang_corporative_information'	=> lang('Corporative information'),
-				'lang_email_config'		=> lang('E-mail config'),
-				'lang_groups_permission'	=> lang('Group permissions'),
-				'lang_lists_permission'		=> lang('E-mail lists'),
-				'lang_aplication_permission'	=> lang('Application permissions'),	
+				'lang_general_information'		=> lang('General Information'),
+				'lang_corporative_information'	=> lang('Corporative Information'),
+				'lang_email_config'				=> lang('Email Config'),
+				'lang_groups_permission'		=> lang('Groups Permission'),
+				'lang_lists_permission'			=> lang('Email Lists'),
+				'lang_aplication_permission'	=> lang('Aplication Permission'),	
 				'lang_organizations'			=> lang('Organizations'),
-				'lang_search_organization'	=> lang('Search organization'),
+				'lang_search_organization'		=> lang('Search Organiztion'),
 				'lang_sector'					=> lang('Sector'),
-				'lang_account_lid'		=> lang('Login'),
-				'lang_firstname'		=> lang('First name'),
-				'lang_lastname'			=> lang('Last name'),
+				'lang_account_lid'				=> lang('Login ID'),
+				'lang_firstname'				=> lang('First Name'),
+				'lang_lastname'					=> lang('Last Name'),
 				'lang_passwd_expired'			=> lang('Password expired'),
 				'lang_password'					=> lang('Password'),
 				'lang_phone'					=> lang('Phone'),
 				'lang_photo'					=> lang('Photo'),
-				'lang_re-password'		=> lang('Re-password'),
+				'lang_re-password'				=> lang('Re-Password'),
 				'lang_changepassword'			=> lang('Change password'),				
-				'lang_account_active'		=> lang('Enabled account'),
-				'lang_account_invisible'	=> lang('Hidden account'),
+				'lang_account_active'			=> lang('Account Active'),
+				'lang_account_invisible'		=> lang('Account Invisible'),
 				'lang_back'						=> lang('Back'),
 				'lang_save'						=> lang('Save'),
-				'lang_delete_photo'    	 	=> lang('Delete photo'),
 				
 				'sectors'						=> $combo_manager_org,
@@ -703,9 +653,7 @@
 				// Corporative Information
 				'lang_employeenumber'			=> lang('Employee number'),
-				'lang_cpf'			=> lang('CPF'),
-				'lang_rg'			=> lang('RG'),
-				'lang_rguf'			=> lang('RG UF'),
-				'cpf_field_invalid'             => lang('CPF field is invalid'),
-
+				'lang_cpf'						=> lang('cpf'),
+				'lang_rg'						=> lang('rg'),
+				'lang_rguf'						=> lang('rguf'),
 				'corporative_information_employeenumber' => $user_info['corporative_information_employeenumber'],
 				'corporative_information_cpf'			=> $user_info['corporative_information_cpf'],
@@ -715,15 +663,11 @@
 				//MAIL
 				'disabled_quota_used'		=> 'disabled',
-				'lang_activeemailaccount'	=> lang('Active e-mail account'),
+				'lang_activeemailaccount'	=> lang('Active email account'),
 				'lang_email'				=> lang('E-mail'),
-				'lang_aliasemail'		=> lang('E-mail alias'),
-				'lang_forwardingemail'		=> lang('Forwarding e-mail'),
-				'lang_email_quota'		=> lang('E-mail quota in MB'),
+				'lang_aliasemail'			=> lang('Alias email'),
+				'lang_forwardingemail'		=> lang('Forwarding email'),
+				'lang_email_quota'			=> lang('Email quota in MB'),
 				'lang_onlyforwarding'		=> lang('Only forwarding'),
-				'lang_email_quota_used'		=> lang('Used quota in MB'),
-				'lang_clear_inbox_user'         => lang('Clear'),
-                                'lang_inbox_user'               => lang('User inbox'),
-                                'display_tr_inbox_user'         => '',
-
+				'lang_email_quota_used'		=> lang('Quota used in MB'),
 				
 				'accountstatus_checked'		=> $user_info['accountstatus'] == 'active' ? 'CHECKED' : '',
@@ -733,7 +677,8 @@
 				//'mailforwardingaddress'		=> $user_info['mailforwardingaddress'],
 				'input_mailalternateaddress_fields'	=> $input_mailalternateaddress_fields,
-				'input_mailforwardingaddress_fields'	=> $input_mailforwardingaddress_fields,
+				'input_mailforwardingaddress_fields'=> $input_mailforwardingaddress_fields,
 				
 				'deliverymode_checked'		=> $user_info['deliverymode'] == 'forwardOnly' ? 'CHECKED' : '',
+				
 				'mailquota'					=> $user_info['mailquota'],
 				'mailquota_used'			=> $user_info['mailquota_used'],
@@ -741,7 +686,7 @@
 				//Third ABA
 				'lang_groups'				=> lang('Groups'),
-                                'lang_user_groups'                      => lang('Selected user groups'),
-                                'lang_available_groups'                 => lang('Available groups'),
-				'lang_primary_group'			=> lang('Primary group'),
+				'lang_user_groups'			=> 'Grupos do Usuário',
+				'lang_available_groups'		=> 'Grupos disponíveis',
+				'lang_primary_group'		=> lang('Primary Group'),
 				'lang_add'					=> lang('Add'),
 				'lang_rem'					=> lang('Remove'),
@@ -750,6 +695,6 @@
 				
 				//Fourd ABA
-				'lang_user_mail_lists'                  => lang('Selected e-mail lists'),
-                                'lang_available_mail_lists'             => lang('Available e-mail lists'),
+				'lang_user_mail_lists'			=> 'O usuário participa destas Listas de E-mail',
+				'lang_available_mail_lists'		=> 'Listas de E-mail disponíveis',
 				'ea_select_user_maillists_options'  => $ea_select_user_maillists_options,
 								
@@ -758,12 +703,12 @@
 
 				//SAMBA ABA
-				'lang_samba_config'		=> lang('Samba config'),
-				'lang_use_attrs_samba'		=> lang('Use Samba attributes'),
+				'lang_samba_config'			=> lang('Samba Config'),
+				'lang_use_attrs_samba'		=> lang('Use samba attributes'),
 				'lang_sambadomain'			=> lang('Domain'),
-				'lang_sambaAcctFlags'		=> lang('Samba account flags'),
-				'lang_sambaLogonScript'		=> lang('Logon script'),
-				'lang_sambaHomeDirectory'	=> lang('Home directory'),
-				'lang_active_user'		=> lang('Enabled Samba user'),
-				'lang_desactive_user'		=> lang('Disabled Samba user'),
+				'lang_sambaAcctFlags'		=> lang('AcctFlags'),
+				'lang_sambaLogonScript'		=> lang('Logon Script'),
+				'lang_sambaHomeDirectory'	=> lang('Home Directory'),
+				'lang_active_user'			=> lang('Samba User Active'),
+				'lang_desactive_user'		=> lang('Samba User Desactive'),
 				
 				'userSamba'					=> $user_info['sambaUser'],
@@ -775,50 +720,6 @@
 				'sambahomedirectory'		=> $user_info['homedirectory'],
 				'defaultLogonScript'		=> $this->current_config['expressoAdmin_defaultLogonScript'],
-				'use_suggestion_in_logon_script' => $this->current_config['expressoAdmin_defaultLogonScript'] == '' ? 'true' : 'false',
-
-				'login_field_empty'     		=> lang('Login field is empty'),
-				'password_field_empty'  		=> lang('Password field is empty'),
-				're-pass_field_empty'  			=> lang('Re-password field is empty'),
-				'pass_re-pass_diferents'       		=> lang('Password and Re-password are differentes'),
-				'register_field_contains_not_allowed'   => lang('Field register contains invalid characters. Only numbers are allowed'),
-				'cpf_field_not_allowed' 		=> lang('Field CPF contains invalid characters. Only numbers are allowed'),
-				'email_field_empty'     		=> lang('Email field is empty'),
-				'first_name_empty'      		=> lang('First name field is empty'),
-				'first_name_not_valid'      		=> lang('First name field is invalid'),
-				'last_name_empty'       		=> lang('Last name field is empty'),
-				'last_name_not_valid'       		=> lang('Last name field is not valid'),
-				'telephone_empty'       		=> lang('Telephone field is empty'),
-				'redirect_email_empty'  		=> lang('Redirect email field is empty'),
-				'without_quota' 			=> lang('User without quota'),
-				'no_group_selected'     		=> lang('No groups selected'),
-				'user_logon_script_empty'      		=> lang('User logon script is empty'),
-				'user_home_path_empty'  		=> lang('User home path is empty'),
-				'user_successfully_created'    		=> lang('User successfully created!'),
-				'user_successfully_saved'      		=> lang('User successfully saved!'),
-				'default_password_registered'  	 	=> lang('Default password successfully registered'),
-				'user_password_returned_with_success'   => lang('User password returned with success'),
-				'user_deleted_with_success'     	=> lang('User deleted successfully!'),
-				'login_field_contains_not_allowed'      => lang('Login field contains invalid characters'),
-				'page_not_found'        		=> lang('Page Not Found!'),
-				'type_name_new_manager' 		=> lang('Type in the new managers name'),
-				'email_field_not_valid' 		=> lang('E-mail field is invalid'),
-				'searching'     			=> lang('Searching...'),
-				'delete_the_list'       		=> lang('Delete list '),
-				'delete_the_group'      		=> lang('Delete group '),
-				'cpf_invalid_field' 			=> lang('Invalid CPF field'),
-				'incorrect_telephone_field'     	=> lang('Incorrect Telephone Field'),
-				'change_user_login'     		=> lang('Change user login'),
-				'to'    				=> lang('to'),
-				'user_renamed_success'  		=> lang('User renamed with success!'),
-				'removed'       			=> lang('removed'),
-				'mb_from_the_user_mailbox'     		=> lang('mb_from_the_user_mailbox'),
-				'cleaning_users_inbox'  		=> lang('Cleaning users inbox'),
-				'lang_insert_password_default'  	=> lang('Insert default password'),
-                                'lang_restore_user_password'   		=> lang('Restore user password'),
-                                'lang_access_records' 			=> lang('Show access records'),
-                                'lang_search_group' 			=> lang('Search group'),
-                                'lang_search_list' 			=> lang('Search list')
+				'use_suggestion_in_logon_script' => $this->current_config['expressoAdmin_defaultLogonScript'] == '' ? 'true' : 'false'
 			);
-
 			$t->set_var($var);
 			
@@ -968,10 +869,10 @@
 			$var = Array(
 				'th_bg'			=> $GLOBALS['phpgw_info']['theme']['th_bg'],
-				'lang_back'	=> lang('Back'),
+				'lang_back'		=> 'Back',
 				'back_url'		=> "./index.php?menuaction=expressoAdmin1_2.uiaccounts.edit_user&account_id=$account_id",
-				'lang_loginid'	=> lang('Login'),
+				'lang_loginid'	=> lang('Login ID'),
 				'lang_ip'		=> lang('IP'),
-				'lang_login'	=> lang('Log in'),
-				'lang_logout'	=> lang('Log out')
+				'lang_login'	=> lang('Log IN'),
+				'lang_logout'	=> lang('Log OUT')
 			);
 			$t->set_var($var);