Index: trunk/instant_messenger/xsl/bkp.window.xsl
===================================================================
--- trunk/instant_messenger/xsl/bkp.window.xsl	(revision 305)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-<xsl:output method="html" omit-xml-declaration="yes"/>
-
-<xsl:template match="/window">
-	<div id="{name}__window_master" style="width:{width};" class="window" onmousedown="javascript:drag_drop.drag(event,this); javascript:im_window.window_focus(this);" dragdrop="true">
-		<b class="corner blackcorner">
-			<b class="corner1 blackcorner1"><b></b></b>
-			<b class="corner2 blackcorner2"><b></b></b>
-			<b class="corner3 blackcorner3"></b>
-			<b class="corner4 blackcorner4"></b>
-			<b class="corner5 blackcorner5"></b>
-		</b>
-		<div class="titulo" dragdrop="true">
-			<span id="{name}__window_title" style="float:left;" dragdrop="true">
-				<xsl:value-of select="title" />
-			</span>
-			<div id="{name}__window_title_buttons" style="float:right;">
-				<div id="{name}__button_minimize" style="display: {pButMin};" class="button_minimize" onclick="javascript:im_window.window_minimize('{name}');"></div>
-				<div id="{name}__button_maximize" style="display: {pButMax};" class="button_maximize1" onclick="javascript:im_window.window_maximize('{name}');"></div>
-				<div id="{name}__button_close" style="display: {pButClose};" class="button_close" onclick="javascript:im_window.window_close('{name}');"></div>
-			</div>
-		</div>
-		<div id="{name}__window_body" class="body">
-			<div id="{name}__window_body_content" class="content" style="overflow:auto;">
-				<xsl:copy-of select="content" />
-			</div>
-		</div>
-		<div id="{name}__window_bottom" class="rodape" dragdrop="false"></div>
-		<div id="im_sub_menu"></div>
-	</div>
-</xsl:template>
-
-</xsl:stylesheet>
Index: trunk/instant_messenger/xsl/bkp.contacts.xsl
===================================================================
--- trunk/instant_messenger/xsl/bkp.contacts.xsl	(revision 305)
+++ 	(revision )
@@ -1,50 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-	<xsl:output method="html" omit-xml-declaration="yes"/>
-
-	<xsl:template match="iq/query">
-		<xsl:apply-templates select="." mode="list" />
-	</xsl:template>
-
-	<xsl:template match="*" mode="list">
-		<div id="im_contact_list" style="margin:2px;">
-			<xsl:for-each select="item">
-				<xsl:sort select="group" case-order="upper-first" />
-				<xsl:choose>
-					<xsl:when test="not(group = preceding-sibling::item/group)">
-						<img id="group_{group[current()]}" src="../instant_messenger/templates/default/images/group_open.gif" onclick="javascript:im.group_close('{group[current()]}');"/>
-						<b><xsl:value-of select="group[current()]" /><br/></b>
-						<xsl:apply-templates select="." mode="contacts"/>
-					</xsl:when>
-					<xsl:otherwise>
-						<xsl:apply-templates select="." mode="contacts"/>
-					</xsl:otherwise>
-				</xsl:choose>
-			</xsl:for-each>
-		</div>
-	</xsl:template>
-
-	<xsl:template match="*" mode="contacts">
-		<xsl:choose>
-			<xsl:when test="@name">
-				<div style="margin-left:15px;cursor:pointer;display:block;" id="{@jid}" idgroup="{group}" idname="{@name}" onmousedown="templates.options(event, '{@jid}');">
-					<img id="img_{@jid}" src="../instant_messenger/templates/default/images/unavailable.gif" style="margin:0px 2px" />
-					<xsl:value-of select="@name"/>
-					<br/>
-					<span id="status_{@jid}" style="font-size:8pt; font-family:Verdana, Arial, Helvetica, sans-serif; font-style:italic; display:none" />
-				</div>
-				<span id="sub_{@jid}"></span>
-			</xsl:when>
-			<xsl:otherwise>
-				<div style="margin-left:15px;cursor:pointer;display:block;" id="{@jid}" idgroup="{group}" idname="" onmousedown="templates.options(event, '{@jid}');">
-					<img id="img_{@jid}" src="instant_messenger/templates/default/images/unavailable.gif" style="margin:0px 2px" />
-					<xsl:value-of select="@jid"/>
-					<br/>
-					<span id="status_{@jid}" style="font-size:8pt; font-family:Verdana, Arial, Helvetica, sans-serif; font-style:italic; display:none;" />
-				</div>
-				<span id="sub_{@jid}"></span>
-			</xsl:otherwise>
-		</xsl:choose>
-	</xsl:template>
-
-</xsl:stylesheet>
Index: trunk/instant_messenger/xsl/bkp.chat.xsl
===================================================================
--- trunk/instant_messenger/xsl/bkp.chat.xsl	(revision 305)
+++ 	(revision )
@@ -1,50 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-<xsl:output method="html" omit-xml-declaration="yes"/>
-
-<xsl:template match="/window">
-	<div id="{name}__window_master" style="width:{width};" class="window" onmousedown="javascript:drag_drop.drag(event,this); javascript:im_window.window_focus(this);" dragdrop="true">
-		<b class="corner blackcorner">
-			<b class="corner1 blackcorner1"><b></b></b>
-			<b class="corner2 blackcorner2"><b></b></b>
-			<b class="corner3 blackcorner3"></b>
-			<b class="corner4 blackcorner4"></b>
-			<b class="corner5 blackcorner5"></b>
-		</b>
-		<div id="{name}__window_title" class="titulo" dragdrop="true">
-			<span id="{name}__window_title" style="float:left;" dragdrop="true">
-				<xsl:value-of select="title" />
-			</span>
-			<div id="{name}__window_title_buttons" style="float:right;">
-				<div id="{name}__button_minimize" style="display: {pButMin};" class="button_minimize" onclick="javascript:im_window.window_minimize('{name}');"></div>
-				<div id="{name}__button_maximize" style="display: {pButMax};" class="button_maximize1" onclick="javascript:im_window.window_maximize('{name}');"></div>
-				<div id="{name}__button_close" style="display: {pButClose};" class="button_close" onclick="javascript:im_window.window_close('{name}');"></div>
-			</div>
-		</div>
-		<div id="{name}__window_body" class="body">
-			<div id="{name}__window_body_content" class="content">
-				<div style="margin:3px 3px;">
-					<div class="history">
-					<div class="avatar" style="margin: 2px; position: absolute; right: 30px; top: 30px;">
-						<img id="{name}__avatar"/>
-					</div>
-					</div>
-					<div class="toolbar_buttons">
-						<div id="{name}__button_bold" class="button_bold" onclick="javascript:im.conf_font('{name}','button_bold');"></div>
-						<div id="{name}__button_italic" class="button_italic" onclick="javascript:im.conf_font('{name}','button_italic');"></div>
-						<div id="{name}__button_underline" class="button_underline" onclick="javascript:im.conf_font('{name}','button_underline');"></div>
-						<div id="{name}__button_color" class="button_color" onclick="javascript:im.conf_font('{name}','button_color');"></div>
-						<div id="{name}__button_emoticons" class="button_emoticons" onclick="javascript:im.conf_font('{name}','button_emoticons');"></div>
-						<div id="{name}__button_profile" class="button_profile" onclick="im.request_vcard('{name}','contact');"></div>
-						<div id="{name}__button_sendMessage" class="div_sendMessage"><input type="button" class="button_sendMessage" value="Send" onclick="im.SendMessage('{name}');"/></div>
-						<div id="{name}__button_dest"></div>						
-					</div>
-					<div class="messages"></div>
-				</div>
-			</div>
-		</div>
-		<div id="{name}__window_bottom" class="rodape" dragdrop="false"></div>
-	</div>
-</xsl:template>
-
-</xsl:stylesheet>
Index: trunk/instant_messenger/xsl/bkp.add_user.xsl
===================================================================
--- trunk/instant_messenger/xsl/bkp.add_user.xsl	(revision 305)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-<xsl:output method="html" omit-xml-declaration="yes"/>
-
-<xsl:template match="adduser">
-
-	<div style="margin-left:5px;margin-top:5px">
-		<span style="font-size:8pt !important; font-family: Arial, Verdana, helvetica, sans-serif !important; position:aboslute; float:left;">
-			<b><xsl:value-of select="top/lang1"/> .: </b>
-		</span>
-		<br/>
-		<select id="im_ldap_ou" onclick="javascript:im.ldap_search_ou(this);" size="10"></select>
-		<span id="__span_load_im" style="background-color:#cc4444;color:white;display:none;position:absolute;right:5px;top:26px">Carregando .....</span>
-		<select id="im_ldap_user" size="10" class="add_user" onclick="im.ldap_adduser(this);"></select>
-	</div>
-
-	<table border="0" cellpadding="1" cellspacing="2" class="add_user">
-		<tr>
-			<td class="add_user"><b><xsl:value-of select="table/lang1"/>.:</b></td>
-			<td><input id="im_jid" type="text" size="40" maxlength="40" readonly="true" class="add_user" /></td>
-		</tr>
-		<tr>
-			<td class="add_user"><b><xsl:value-of select="table/lang2"/>.:</b></td>
-			<td><input id="im_name" type="text" size="20" maxlength="20" class="add_user" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/></td>
-		</tr>
-		<tr>
-			<td class="add_user"><b><xsl:value-of select="table/lang3"/>.:</b></td>
-			<td><input id="im_group" type="text" size="20" maxlength="20" class="add_user" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/></td>
-		</tr>
-		<tr>
-			<td><input id="im_uid" type="hidden" size="30" maxlength="30" /></td>
-		</tr>
-		<tr>
-			<td colspan="2">
-				<input type="button" value="{table/lang4}" onclick="javascript:im.adduser();"/>
-				<input type="button" value="{table/lang5}" onclick="javascript:im_window.window_close('add_user_im');" />
-				<span id="im_status_add" style="color:#f00;font-weight:bold;margin-left:10px;"></span>
-			</td>
-		</tr>
-   	</table>
-
-</xsl:template>
-
-</xsl:stylesheet>
Index: trunk/instant_messenger/xsl/bkp.options.xsl
===================================================================
--- trunk/instant_messenger/xsl/bkp.options.xsl	(revision 305)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-<xsl:output method="html" omit-xml-declaration="yes"/>
-
-<xsl:template match="options">
-
-	<dl style="background:#b4cfe5;margin:5px;font:8pt;">
-		<dt><a href="javascript:void(0);" onclick="im.update_nickname('{jid}');"><img src="{path}templates/default/images/group_close.gif"/><xsl:value-of select="lang1"/></a></dt>
-		<dt><a href="javascript:void(0);" onclick="im.update_group('{jid}');"><img src="{path}templates/default/images/group_close.gif"/><xsl:value-of select="lang2"/></a></dt>
-		<dt><a href="javascript:void(0);" onclick="im.remove('{jid}');"><img src="{path}templates/default/images/group_close.gif"/><xsl:value-of select="lang3"/></a></dt>
-		<dt><a href="javascript:void(0);" onclick="im.subscription('{jid}','subscribe');"><img src="{path}templates/default/images/group_close.gif"/><xsl:value-of select="lang4"/></a></dt>
-		<dt><a href="javascript:void(0);" onclick="im.request_vcard('{jid}','contact');"><img src="{path}templates/default/images/group_close.gif"/><xsl:value-of select="lang5"/></a></dt>
-	</dl>
-
-</xsl:template>
-
-</xsl:stylesheet>
Index: trunk/instant_messenger/xsl/bkp.vcard_contacts.xsl
===================================================================
--- trunk/instant_messenger/xsl/bkp.vcard_contacts.xsl	(revision 305)
+++ 	(revision )
@@ -1,80 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-<xsl:output method="html" omit-xml-declaration="yes"/>
-
-<xsl:template match="/vcard_contact">
-		<div class="vcard_contact">
-			<div style="margin:3px">
-				<label style="font-weight:bold;"><xsl:value-of select="lang1" /> .: </label>
-				<xsl:choose>
-					<xsl:when test="div/@fn">
-						<xsl:value-of select="div/@fn" />
-					</xsl:when>
-					<xsl:otherwise>
-						<xsl:value-of select="div/@FN" />
-					</xsl:otherwise>
-				</xsl:choose>
-			</div>
-			<div style="margin:3px">
-				<label style="font-weight:bold;"><xsl:value-of select="lang2" /> .: </label>
-				<xsl:choose>
-					<xsl:when test="div/@nickname">
-						<xsl:value-of select="div/@nickname" />
-					</xsl:when>
-					<xsl:otherwise>
-						<xsl:value-of select="div/@NICKNAME" />						
-					</xsl:otherwise>						
-		        </xsl:choose>				
-			</div>
-			<div style="margin:3px">
-				<label style="font-weight:bold;"><xsl:value-of select="lang3" /> .: </label>
-				<xsl:choose>	
-					<xsl:when test="div/@orgname">
-						<xsl:value-of select="div/@orgname" />
-					</xsl:when>
-					<xsl:otherwise>
-						<xsl:value-of select="div/@ORGNAME" />
-					</xsl:otherwise>
-				</xsl:choose>
-			</div>
-			<div style="margin:3px">
-				<label style="font-weight:bold;"><xsl:value-of select="lang4" /> .: </label>
-				<xsl:choose>
-					<xsl:when test="div/@org">
-						<xsl:value-of select="div/@org" />
-					</xsl:when>
-					<xsl:otherwise>
-						<xsl:value-of select="div/@ORG" />
-					</xsl:otherwise>
-				</xsl:choose>					
-			</div>
-			<div style="margin:3px">
-				<label style="font-weight:bold;"><xsl:value-of select="lang5" /> .: </label>
-				<xsl:choose>
-					<xsl:when test="div/@role">
-						<xsl:value-of select="div/@role" />
-					</xsl:when>
-					<xsl:otherwise>
-						<xsl:value-of select="div/@ROLE" />
-					</xsl:otherwise>
-				</xsl:choose>
-			</div>
-			<div style="margin:3px">	
-				<label style="font-weight:bold;"><xsl:value-of select="lang6" /> .: </label>
-				<xsl:choose>
-					<xsl:when test="div/@bday">
-						<xsl:value-of select="div/@bday" />
-					</xsl:when>
-					<xsl:otherwise>
-						<xsl:value-of select="div/@BDAY" />
-					</xsl:otherwise>
-				</xsl:choose>
-			</div>
-			<div style="margin:5px 0px">
-				<input type="button" value="{lang7}" onclick="javascript:im_window.window_close('{id}');" />
-			</div>
-		</div>
-		
-</xsl:template>
-
-</xsl:stylesheet>